# Uses of Interface
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.extender.IDifferenceGroupExtender

Packages that use IDifferenceGroupExtender
Package
Description
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.extender
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.extender

## Uses of IDifferenceGroupExtender in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.extender

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.extender that return IDifferenceGroupExtender
Modifier and Type
Method
Description
`IDifferenceGroupExtender`
DifferenceGroupExtenderRegistryImpl.`add(IDifferenceGroupExtender provider)`
Add to the registry the given `IDifferenceGroupExtender`.
`IDifferenceGroupExtender`
DifferenceGroupExtenderRegistryImpl.`remove(String className)`
Remove from the registry the `IDifferenceGroupExtender` designated by the given `String` .
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.extender that return types with arguments of type IDifferenceGroupExtender
Modifier and Type
Method
Description
`List<IDifferenceGroupExtender>`
DifferenceGroupExtenderRegistryImpl.`getExtenders()`
Returns the list of `IDifferenceGroupExtender` contained in the registry.
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.extender with parameters of type IDifferenceGroupExtender
Modifier and Type
Method
Description
`IDifferenceGroupExtender`
DifferenceGroupExtenderRegistryImpl.`add(IDifferenceGroupExtender provider)`
Add to the registry the given `IDifferenceGroupExtender`.

## Uses of IDifferenceGroupExtender in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.extender

Methods in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.extender that return IDifferenceGroupExtender
Modifier and Type
Method
Description
`IDifferenceGroupExtender`
IDifferenceGroupExtender.Registry.`add(IDifferenceGroupExtender extender)`
Add to the registry the given `IDifferenceGroupExtender`.
`IDifferenceGroupExtender`
IDifferenceGroupExtender.Registry.`remove(String className)`
Remove from the registry the `IDifferenceGroupExtender` designated by the given `String` .
Methods in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.extender that return types with arguments of type IDifferenceGroupExtender
Modifier and Type
Method
Description
`Collection<IDifferenceGroupExtender>`
IDifferenceGroupExtender.Registry.`getExtenders()`
Returns the list of `IDifferenceGroupExtender` contained in the registry.
Methods in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.extender with parameters of type IDifferenceGroupExtender
Modifier and Type
Method
Description
`IDifferenceGroupExtender`
IDifferenceGroupExtender.Registry.`add(IDifferenceGroupExtender extender)`
Add to the registry the given `IDifferenceGroupExtender`.